View Issue Details

IDProjectCategoryView StatusLast Update
0000597luatexluatex bugpublic2011-05-10 08:56
ReporterphiAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
PlatformCore 2 DuoOSMac OS XOS Version10.6.6
Product Version0.65.0 
Target Version0.70.0Fixed in Version0.70.0 
Summary0000597: LuaTeX tries to write synctex(busy) file to current instead of output directory
DescriptionLuaTeX writes the SyncTeX info to a file named *.synctex(.gz)(busy) and renames this file to the real SyncTeX file afterward. However, the "busy" file is written to the current directory instead of the output directory. Furthermore, the behavior with respect to compression is inconsistent: if a "busy" uncompressed file open fails, an error is issued, but not when the SyncTeX output is to be compressed.
Steps To Reproduce/ $ luatex --version
This is LuaTeX, Version beta-0.65.0-2011010914 (rev 4047)
[...]

/ $ pwd
/
/ $ luatex --synctex=0 --output-directory=/tmp '\null\bye' ; echo $?
This is LuaTeX, Version beta-0.65.0-2011010914 (rev 4047)
[1{/usr/local/texlive/2010/texmf-var/fonts/map/pdftex/updmap/pdftex.map}]</usr/
local/texlive/2010/texmf-dist/fonts/type1/public/amsfonts/cm/cmr10.pfb>
Output written on texput.pdf (1 page, 8193 bytes).
Transcript written on texput.log.
0
/ $ luatex --synctex=-1 --output-directory=/tmp '\null\bye' ; echo $?
This is LuaTeX, Version beta-0.65.0-2011010914 (rev 4047)
luatex: texput.synctex(busy): Permission denied
1
/ $ luatex --synctex=1 --output-directory=/tmp '\null\bye' ; echo $?
This is LuaTeX, Version beta-0.65.0-2011010914 (rev 4047)

SyncTeX warning: no synchronization, problem with texput.synctex.gz(busy)
[1{/usr/local/texlive/2010/texmf-var/fonts/map/pdftex/updmap/pdftex.map}]</usr/
local/texlive/2010/texmf-dist/fonts/type1/public/amsfonts/cm/cmr10.pfb>
Output written on texput.pdf (1 page, 8193 bytes).
Transcript written on texput.log.
0
TagsNo tags attached.

Activities

Taco

2011-04-11 15:32

administrator   ~0000788

This should probably be fixed in the core synctex.c file, as pdftex seems to have the same problem. Email sent to Jérome Laurens.

Taco

2011-04-16 11:37

administrator   ~0000823

This is fixed with the latest changes from Jerome, incorporated into luatex's branches/0.70.x as well as texlive 2011

Issue History

Date Modified Username Field Change
2011-03-15 17:40 phi New Issue
2011-04-11 11:56 Taco Status new => assigned
2011-04-11 11:56 Taco Assigned To => Taco
2011-04-11 15:32 Taco Note Added: 0000788
2011-04-11 15:32 Taco Status assigned => resolved
2011-04-11 15:32 Taco Resolution open => no change required
2011-04-12 11:02 Taco Fixed in Version => 0.66.0
2011-04-12 11:22 Taco Target Version => 0.70.0
2011-04-16 11:37 Taco Note Added: 0000823
2011-05-10 08:56 Taco Fixed in Version 0.66.0 => 0.70.0
2011-05-10 08:56 Taco Status resolved => closed